BLOCALED(8)

NAME
blocaled - locale settings D-Bus service

SYNOPSIS
blocaled [--debug] [--foreground] [--read-only] [--config FILE]

DESCRIPTION

The blocaled daemon implements the standard localed (i.e. org.freedesktop.locale1) D-Bus interface as a stand-alone daemon. Users and administrators should not need to launch the blocaled executable manually. It will be launched automatically via D-Bus activation when needed.

OPTIONS

--help
    Show help options.

--version
    Show version information.

--debug
    Enable debugging messages. Not recommended unless in foreground mode.

--foreground
    Run in foreground mode (i.e. not daemonized). Messages will be logged to stderr instead of the system log.

--read-only
    Run daemon in read-only mode. It will read settings files, but will not modify them.

--config FILE
    Use an alternate configuration file (see CONFIGURATION below). The default configuration file is @sysconfdir@/blocaled.conf.

CONFIGURATION

blocaled reads and writes its informations into three settings files. The location of those files varies, depending on the init system and the linux distribution. For most flexibily, the location of those files can be set in the configuration file. A sample configuration file, with detailed comments has been installed in @sysconfdir@.

AUTHORS

Pierre Labastie (pierre.labastie@neuf.fr). The initial version of this page has been written by Alexandre Rostovtsev (tetromino@gentoo.org) for the openrc-settingsd(8) project.

BUGS

Bug reports should be submitted to https://github.com/lfs-book/blocaled/issues.

SEE ALSO

dbus-daemon(1), polkit(8)